Name:           jbossxb
Version:        2.0.3
Release:        10%{?dist}
Summary:        JBoss XML Binding

License:        LGPLv2+
URL:            http://www.jboss.org

# svn export http://anonsvn.jboss.org/repos/common/jbossxb/tags/2.0.3.GA/ jbossxb-2.0.3
# tar cJf jbossxb-2.0.3.tar.xz jbossxb-2.0.3/
Source0:        %{name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.wutka:dtdparser)
BuildRequires:  mvn(org.jboss:jboss-common-core)
BuildRequires:  mvn(org.jboss:jboss-parent:pom:)
BuildRequires:  mvn(org.jboss:jboss-reflect)
BuildRequires:  mvn(org.jboss.logging:jboss-logging)
BuildRequires:  mvn(org.jboss.spec.javax.xml.bind:jboss-jaxb-api_2.2_spec)
BuildRequires:  mvn(stax:stax)
# Required by stax-ri but not resolved
BuildRequires:  mvn(stax:stax-api)
BuildRequires:  mvn(xerces:xercesImpl)
BuildRequires:  mvn(xml-apis:xml-apis)

%description
JBoss XML Binding.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

# can't compile stuff in the test dir...missing deps: jboss-test
rm -rf src/test

find -type f -name *.jar -delete
find -type f -name *.class -delete

%pom_change_dep org.jboss.logging:jboss-logging-spi org.jboss.logging:jboss-logging
%pom_add_dep stax:stax
%pom_add_dep org.jboss.spec.javax.xml.bind:jboss-jaxb-api_2.2_spec
%pom_remove_dep sun-jaxb:jaxb-api
%pom_remove_dep javax.activation:activation
%pom_remove_dep org.jboss.test:jboss-test

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%files javadoc -f .mfiles-javadoc

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Aug 05 2015 gil cattaneo <puntogil@libero.it> 2.0.3-9
- fix FTBFS RHBZ#1239612
- fix BR list and use BRs mvn()-like
- minor changes for adapt to current guideline
- resolve some rpmlint problem

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jul 05 2014 Gerard Ryan <galileo@fedoraproject.org> - 2.0.3-7
- Update to use new pom_* macros

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.0.3-5
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.0.3-2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jun 28 2012 Gerard Ryan <galileo@fedoraproject.org> - 2.0.3-1
- Initial packaging.
